<?
	/****************************************************************************************************/
	
	// 包含初始化文件	
	require_once("initialize.php");	

	/****************************************************************************************************/

	// 常用字串处理函数

	/*---------------------------------
		方法:截取字符串（防汉字被截成一半）
		参数:
					str 原字符串
					start 开始截取位置
					len 截取长度 (一个中文字符等于两个英文字符)
		返回:
	---------------------------------*/

	function csubstr($str,$start,$len){ 
		$len=$len*2;
		$slen=strlen($str); 
		$clen=0; 
		for($i=0;$i<$slen;$i++,$clen++){ 
			if($clen>=$start+$len){
				break; 
			}
			if(ord(substr($str,$i,1))>0xa0){ 
				if($clen>=$start){ 
					$tmpstr.=substr($str,$i,2);
				}
				$i++; 
				$clen++;
			} 
			else{ 
				if($clen>=$start){
					$tmpstr.=substr($str,$i,1); 
				}
			} 
		}
		return $tmpstr; 
	}

	/****************************************************************************************************/
	
	// 常用页面显示函数

	/*---------------------------------
		方法:显示分页代码
		参数:
					$current_page：当前第几页
					$total：记录总共条数
					$per_page：每页记录条数
					$show：是否显示页数
		返回:
	---------------------------------*/
	function show_page($total,$show=1) {

		global $p,$q;

		$p1=floor($_GET["p"]);
		$p2=floor($p);	
		$p=$p1<=0?$p2:$p1;

		$q1=floor($_GET["q"]);
		$q2=floor($q);
		$q=$q1<=0?$q2:$q1;

		$path=parse_url($_SERVER["REQUEST_URI"]);
		$argv=explode("&",$path["query"]);
		foreach($argv as $arg){
			if($arg<>""){
				list($key,$value)=explode("=",$arg);
				$args[$key]=$value;
			}
		}			
		$args["p"]="@p@";
		$args["q"]=$q;

		$uri="?";
		foreach($args as $key=>$value){
			$uri=$uri.$key."=".$value."&";
		}
		$uri=substr($uri,0,strlen($uri)-1);

		$page_min=1;
		$page_pre=$p-1;
		$page_nex=$p+1;
		$page_max=ceil($total/$q);
		$page_pre=$page_pre<$page_min?$page_min:$page_pre;
		$page_nex=$page_nex>$page_max?$page_max:$page_nex;

		$str="<center>";

		if($show==1){
			$str.="<span style='width:100%;padding:2px 0p 3px 0px;line-height:18px;'>";
			$str.="-=| ";
			
			$page_sta=$p-10<1?1:$p-10;
			$page_end=$p+10>$page_max?$page_max:$p+10;
			
			if($page_sta>1){
				$str.="&nbsp;<a href='".str_replace("@p@",$p-10,$uri)."' title='向前十页'><<<</a>&nbsp;";
			}

			for($i=$page_sta;$i<=$page_end;$i++){
				if($i==$p){
					$str.="&nbsp;<font color='red'><b>".$i."</b></font>&nbsp;";
				}
				else{
					$str.="&nbsp;<a href='".str_replace("@p@",$i,$uri)."'>".$i."</a>&nbsp;";
				}
			}

			if($page_end<$page_max){
				$str.="&nbsp;<a href='".str_replace("@p@",$p+10,$uri)."' title='向后十页'>>>></a>&nbsp;";
			}

			$str.=" |=-";
			$str.="</span>";
		}

		$str.="共有 <font color=red>".$total."</font> 条记录&nbsp;( ".$p."/".$page_max." )";
		$str.=str_repeat("&nbsp;", 6);
		$str.="<a href='".str_replace("@p@",$page_min,$uri)."'>首页</a>&nbsp;|&nbsp;";
		$str.="<a href='".str_replace("@p@",$page_pre,$uri)."'>上一页</a>&nbsp;|&nbsp;";
		$str.="<a href='javascript:;' onclick='location.reload(true);'>刷 新</a>&nbsp;|&nbsp;";
		$str.="<a href='".str_replace("@p@",$page_nex,$uri)."'>下一页</a>&nbsp;|&nbsp;";
		$str.="<a href='".str_replace("@p@",$page_max,$uri)."'>尾页</a>";

		$str.="</center>";
		
		echo $str;
	}

	/*---------------------------------
		方法:显示提示信息
		参数:
		返回:
	---------------------------------*/
	function show_msg($str="未知错误",$uri="#"){
		switch($uri){
			case "#":
			case "0":
				$uri="if(document.all.msg!=null){document.all.msg.style.visibility=\"hidden\";};";
				break;
			case "-1":
			case "-2":
				$uri="history.go(".$uri.");";
				break;
			default:
				$uri="self.location=\"".$uri."\";";
				break;
		}
		$str="<table cellspacing='0' cellpadding='0'  border='0' style='width:100%;height:100%;margin:0px;padding:0px;background-image:url(images/bg_transparent1.gif);' oncontextmenu='return false;' onselectstart='return false;' ondblclick='document.all.btn.click();'><tr><td align='center' valign='middle'><span style='padding:20px;width:360px;height:150px;border:solid #666666 3px;background:#EEEEEE;line-height:22px;text-align:left;'><img src='images/message.gif' align='left' style='margin-top:5px;'><br>&nbsp;&nbsp;".$str."<br><br><center><button id='btn' onclick='$uri'>确定</button></center></span></td></tr><tr><td height=100>&nbsp;</td></tr></table>";
		echo "\t<script language='javascript'>show_msg(\"".str_replace("\"","\\\"",$str)."\");</script>\n";
	}

?>